<?php 
    $wp_customize->add_section(
        'about_area',
        array(
            'title' => __( 'About Us Section', 'luzuk-premium' ),
            'panel' => 'luzuk_premium_home_panel'
        )
    );
    $wp_customize->add_setting(
        'about_area_disable',
        array(
            'sanitize_callback' => 'luzuk_sanitize_text',
        )
    );
    $wp_customize->add_control(
        new luzuk_Switch_Control(
            $wp_customize,
            'about_area_disable',
            array(
                'settings'      => 'about_area_disable',
                'section'       => 'about_area',
                'label'         => __( 'Disable Section', 'luzuk-premium' ),
                'on_off_label'  => array(
                    'on' => __( 'Yes', 'luzuk-premium' ),
                    'off' => __( 'No', 'luzuk-premium' )
                ),
            )
        )
    ); 

backgroundManager($wp_customize, 'aboutus', 'about_area', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');


lzCustomLable($wp_customize, 'aboutarea_padding', 'about_area', 'Section Padding');

$wp_customize->add_setting(
    'about_areaTpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaTpadding',
    array(
        'settings'      => 'about_areaTpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Top', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'about_areaBpadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_areaBpadding',
    array(
        'settings'      => 'about_areaBpadding',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Bottom', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'abtarea_conwidth', 'about_area', 'Section Width ');

$wp_customize->add_setting('abt_c_width',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'container'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'abt_c_width', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'about_area', // Replace with your actual section ID
    'settings' => 'abt_c_width',
    'choices'=>array(
       'container' => 'Box Width',
       'container-fluid' => 'Full Width',
       
    )
) ) );

$wp_customize->add_setting(
    'about_title_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_title_heading',
        array(
            'settings'      => 'about_title_heading',
            'section'       => 'about_area',
            'label'         => __( ' Section Left Side', 'luzuk-premium' ),
        )
    )
);    


lzCustomLable($wp_customize, 'aboutarea_headingaling', 'about_area', 'Heading Alignment');

$wp_customize->add_setting('abt_maintitle_align',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'left'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'abt_maintitle_align', array(
        'label'    => __( '', 'luzuk' ),
        'section'  => 'about_area', // Replace with your actual section ID
        'settings' => 'abt_maintitle_align',
        'choices'=>array(
           'left' => 'Left',
           'center' => 'Center',
           'right' => 'Right',
        )
    ) ) );

lzCustomLable($wp_customize, 'abtarea_headingcase', 'about_area', 'Heading Style');

$wp_customize->add_setting('abt_maintitle_case',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 'uppercase'));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'abt_maintitle_case', array(
    'label'    => __( '', 'luzuk' ),
    'section'  => 'about_area', // Replace with your actual section ID
    'settings' => 'abt_maintitle_case',
    'choices'=>array(
       'uppercase' => 'Uppercase',
       'lowercase' => 'Lowercase',
       'capitalize' => 'Capitalize',
    )
) ) );



lzCustomLable($wp_customize, 'aboutarea_heading', 'about_area', 'Section Heading ');

$wp_customize->add_setting(
    'abt_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'abt_heading',
    array(
        'settings'      => 'abt_heading',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_secheading_clr', 'about_area', 'Heading Color ', '#d1d2d6');


$wp_customize->add_setting(
    'about_subHeading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_subHeading',
    array(
        'settings'      => 'about_subHeading',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Sub Heading', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_secsubtitle_clr', 'about_area', 'Sub Heading Color ', '#24345D');

addColorPalatOption($wp_customize, 'about_secsubtitleicn_clr', 'about_area', 'Sub Heading Icon Color ', '#FF7617');

$wp_customize->add_setting(
    'about_title1',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Your Trusted Electrical Services', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title1',
    array(
        'settings'      => 'about_title1',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Title 1', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abt_titleclr1', 'about_area', 'Title 1 Color ', '#24345D');

$wp_customize->add_setting(
    'about_title2',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'About Us', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_title2',
    array(
        'settings'      => 'about_title2',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Title 2', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'abt_titleclr2', 'about_area', 'Title 2 Color ', '#FF7617');

$wp_customize->add_setting(
    'about_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'your trusted electrical services with care', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'about_text',
    array(
        'settings'      => 'about_text',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Heading Text', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'about_area_text', 'about_area', 'Heading Text Color', '#24345D');

addColorPalatOption($wp_customize, 'about_area_Headingbxbg', 'about_area', 'Heading Box BG Color', '#e9eaee');


$wp_customize->add_setting('abt_npp_heading',array('sanitize_callback' => 'luzuk_sanitize_text'));
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'abt_npp_heading',
        array(
            'settings'      => 'abt_npp_heading',
            'section'       => 'about_area',
            'label'         => __( 'Number Of List To Show', 'Luzuk Premium' ),
        )
    )
);    

$wp_customize->add_setting('abt_npp_count',array('sanitize_callback' => 'luzuk_sanitize_text','default' => 3));
$wp_customize->add_control( new Luzuk_Custom_Select_Control( $wp_customize, 'abt_npp_count', array(
        'label'    => __( '', 'luzuk' ),
        'section'  => 'about_area', // Replace with your actual section ID
        'settings' => 'abt_npp_count',
        'choices'=>array(1,2,3,4)
    ) ) );

//abtD PAGES
for( $i = 1; $i <= 4; $i++ ){
    $wp_customize->add_setting(
        'abt_header'.$i,
        array(
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new luzuk_Customize_Heading(
            $wp_customize,
            'abt_header'.$i,
            array(
                'settings'      => 'abt_header'.$i,
                'section'       => 'about_area',
                'label'         => __( 'List Number ', 'Luzuk Premium' ).$i
            )
        )
    );

        $wp_customize->add_setting(
        'abt_page_icon'.$i,
        array(
            'default'           => 'fa fa-cog',
            'sanitize_callback' => 'luzuk_sanitize_text'
        )
    );        
    $wp_customize->add_control(
        new luzuk_Fontawesome_Icon_Chooser(
            $wp_customize,
            'abt_page_icon'.$i,
            array(
                'settings'      => 'abt_page_icon'.$i,
                'section'       => 'about_area',
                'type'          => 'icon',
                'label'         => __( 'FontAwesome Icon', 'Luzuk Premium' ),
            )
        )
    );

lzAddElement($wp_customize, 'abt_page_title'.$i, 'about_area', $type = 'text', $label="Title", $callback ='luzuk_sanitize_text', $default='Retrofits & Repair');

// lzAddElement($wp_customize, 'abt_page_txt'.$i, 'about_area', $type = 'text', $label="Text", $callback ='luzuk_sanitize_text', $default='There are many variations of which do not look even slightly believable.');

lzAddElement($wp_customize, 'ourabtd_page_url_'.$i, 'about_area', $type = 'text', $label="Add Page Link", $callback ='esc_url', $default='Add link here');
    
}

lzCustomLable($wp_customize, 'abtSec_listclr', 'about_area' , 'List Color');

addColorPalatOption($wp_customize, 'abt_listicnclr', 'about_area', 'List Icon Color', '#FF7617');

addColorPalatOption($wp_customize, 'abt_listtitleclr', 'about_area', 'List Title Color', '#4E4E4E');

addColorPalatOption($wp_customize, 'abt_listbxbgclr', 'about_area', 'Box BG Color', '#fef9f3');

addColorPalatOption($wp_customize, 'abt_listbxbghvclr', 'about_area', 'Box BG Hover Color', '#e9eaee');




lzCustomLable($wp_customize, 'aboutarea_fristimgtxtbx', 'about_area', 'Experience Text Box');

$wp_customize->add_setting(
    'yer_num',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '30', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'yer_num',
    array(
        'settings'      => 'yer_num',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Numrical ', 'Luzuk' )
    )
);


$wp_customize->add_setting(
    'yer_exp',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Year Of Experience', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'yer_exp',
    array(
        'settings'      => 'yer_exp',
        'section'       => 'about_area',
        'type'          => 'text',
        'label'         => __( 'Year Text ', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'abtdec_exnumclr', 'about_area', 'Years Number Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_extxtclr', 'about_area', 'Years Text Color', '#fff');

addColorPalatOption($wp_customize, 'abtdec_exbxbgclr', 'about_area', 'Experience Box BG Color', '#24345D');

addColorPalatOption($wp_customize, 'abtdec_exbxcirclr', 'about_area', 'Experience Box Main Circle Color', '#FF7617');

addColorPalatOption($wp_customize, 'abtdec_exbxothcirclr', 'about_area', 'Experience Box Other Circle Color', '#38486c');

$wp_customize->add_setting(
    'sectxt',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'There Are Many Variations Of Passages Of Lorem Ipsum Available, The Majority Have Suffered Alteration In Some Form, By Injected Humour, Or Randomised Words Which Do not Look Even Slightly Believable.', 'Luzuk' )
    )
);
$wp_customize->add_control(
    'sectxt',
    array(
        'settings'      => 'sectxt',
        'section'       => 'about_area',
        'type'          => 'textarea',
        'label'         => __( 'Section Text ', 'Luzuk' )
    )
);

addColorPalatOption($wp_customize, 'abtdec_sectxtclr', 'about_area', 'Section Text Circle Color', '#464646');


lzCustomLable($wp_customize, 'aboutarea_rightclr', 'about_area', 'Section Right Side');
// 1st
$wp_customize->add_setting(
    'about_image_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image_heading',
        array(
            'settings'      => 'about_image_heading',
            'section'       => 'about_area',
            'label'         => __( 'Lamp Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_head',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_head',
        array(
            'section' => 'about_area',
            'settings' => 'about_head',
            'description' => __('Recommended Image Size: 168X157', 'luzuk-premium')
        )
    )
);

// 2nd

$wp_customize->add_setting(
    'about_image2_label',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image2_label',
        array(
            'settings'      => 'about_image2_label',
            'section'       => 'about_area',
            'label'         => __( 'Second Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image2',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image2',
        array(
            'section' => 'about_area',
            'settings' => 'about_image2',
            'description' => __('Recommended Image Size: 392X544', 'luzuk-premium')
        )
    )
);


addColorPalatOption($wp_customize, 'abtdec_imgclr2', 'about_area', 'Second Image Border Color', '#fff');


// 3rd

$wp_customize->add_setting(
    'about_image3_label',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'about_image3_label',
        array(
            'settings'      => 'about_image3_label',
            'section'       => 'about_area',
            'label'         => __( 'Third Image', 'luzuk-premium' ),
        )
    )
);

$wp_customize->add_setting(
    'about_image3',
    array(
        'sanitize_callback' => 'esc_url_raw'
    )
);

$wp_customize->add_control(
    new WP_Customize_Image_Control(
        $wp_customize,
        'about_image3',
        array(
            'section' => 'about_area',
            'settings' => 'about_image3',
            'description' => __('Recommended Image Size: 358X166', 'luzuk-premium')
        )
    )
);


addColorPalatOption($wp_customize, 'abtdec_imgclr3', 'about_area', 'Third Image Border Color', '#fff');

